Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bump @symfony/webpack-encore from 0.20.1 to 0.27.0 #637

Merged
merged 1 commit into from May 14, 2019

Conversation

Projects
None yet
3 participants
@dependabot
Copy link
Contributor

commented Apr 22, 2019

Bumps @symfony/webpack-encore from 0.20.1 to 0.27.0.

Release notes

Sourced from @symfony/webpack-encore's releases.

v0.27.0 Babel useBuiltIns bug fix & Vue JSX Support!

Zoinks! Another release is ready!

To upgrade:

  1. Update your package.json file: set the @symfony/webpack-encore version to ^0.27.0.

  2. Run yarn upgrade!

Changes: v0.26.0..v0.27.0

Documentation: http://symfony.com/doc/current/frontend.html

Highlights:

  • [Behavior Change] The Babel configuration sourceType default was
    changed from not being specified (so, the default module was used)
    to unambiguous. This is to help Babel's useBuiltIns functionality
    properly determine if a require or import should be automatically
    added to your files, based on that file's style - #555 thanks to @​Lyrkan.

  • Added JSX support to Vue! #553 thanks to @​Kocal.

  • Cleaned up the jsdoc in index.js to add better docs and better
    IDE auto-completion - #550 thank sto @​Lyrkan.

Happy packing!

v0.26.0 useBuiltIns Behavior change, style resolving & integrity support

We did it! Another release! 🥇

To upgrade:

  1. Update your package.json file: set the @symfony/webpack-encore version to ^0.26.0.

  2. Run yarn upgrade!

Changes: v0.25.0..v0.26.0

  • [Behavior change] The Babel useBuiltIns option default value changed
    from entry to false, which means that polyfills may no longer be
    provided in the same way. This is due to a change in Babel and core-js.
    To get the same functionality back, run yarn add core-js --dev, then use:

    Encore.configureBabel(() => {}, {
        useBuiltIns: 'entry', // or try "usage"
        corejs: 3
    })
... (truncated)
Changelog

Sourced from @symfony/webpack-encore's changelog.

0.27.0

  • [Behavior Change] The Babel configuration sourceType default was
    changed from not being specified (so, the default module was used)
    to unambiguous. This is to help Babel's useBuiltIns functionality
    properly determine if a require or import should be automatically
    added to your files, based on that file's style - #555 thanks to @​Lyrkan.

  • Added JSX support to Vue! #553 thanks to @​Kocal.

  • Cleaned up the jsdoc in index.js to add better docs and better
    IDE auto-completion - #550 thank sto @​Lyrkan.

0.26.0

  • [Behavior change] The Babel useBuiltIns option default value changed
    from entry to false, which means that polyfills may no longer be
    provided in the same way. This is due to a change in Babel and core-js.
    To get the same functionality back, run yarn add core-js --dev, then use:

    Encore.configureBabel(() => {}, {
        useBuiltIns: 'entry', // or try "usage"
        corejs: 3
    })

    This comes from #545 thanks to @​Lyrkan.

  • Added the ability to "resolve" CSS and Sass files without specifying
    the file extension and by taking advantage of the sass or style
    attribute in an npm package. For example, you can now import the main
    Bootstrap SASS file from within a SASS file by saying [@​import](https://github.com/import) ~bootstrap.
    This will use the sass attribute from the bootstrap package.json
    file to find which file to load. #474 thanks to @​deAtog.

  • Added a new Encore.enableIntegrityHashes(), which will cause a new
    integrity key to be added to entrypoints.json with integrity values
    that can be included in the script or link tag for that asset - #522
    thanks to @​Lyrkan.

  • Allow some parts of configureBabel() to be used, even if there is
    an external .babelrc configuration file - #544 thanks to @​Lyrkan.

0.25.0

  • [BC BREAK] Various dependency versions were updated, including
    css-loader updated from ^1.0.0 to ^2.1.1 and resolve-url-loader
    updated from ^2.3.0 to ^3.0.1. The minimum Node version was
    also bumped from 6 to 8. See #540 for more details.
... (truncated)
Commits
  • ba08baf Tagging 0.27.0
  • 32b16cd 0.27.0 changelog
  • 21f24a6 minor #559 Putting jsdoc in markdown (weaverryan)
  • b2bc6e5 putting jsdoc in markdown
  • f9c3fc6 feature #550 Clean up the public API file and improve a few other things (Lyr...
  • 8531000 Clean up the public API file and improve a few other things
  • 6bdfa12 bug #555 Set "sourceType" to "unambiguous" by default in Babel's options (Lyr...
  • 2117898 minor #554 Fix typo in Vue features (Kocal)
  • 99ce91d feature #553 Add JSX integration for Vue.js (Kocal)
  • 9cabf9b Add JSX integration for Vue.js
  • Additional commits viewable in compare view

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot ignore this [patch|minor|major] version will close this PR and stop Dependabot creating any more for this minor/major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in your Dependabot dashboard:

  • Update frequency (including time of day and day of week)
  • Automerge options (never/patch/minor, and dev/runtime dependencies)
  • Pull request limits (per update run and/or open at any time)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)

Finally, you can contact us by mentioning @dependabot.

@dependabot dependabot bot force-pushed the dependabot/npm_and_yarn/@symfony/webpack-encore-0.27.0 branch 6 times, most recently from 7cf2ef2 to 5adfd33 Apr 22, 2019

@CHTJonas CHTJonas removed the javascript label Apr 22, 2019

@dependabot dependabot bot force-pushed the dependabot/npm_and_yarn/@symfony/webpack-encore-0.27.0 branch 6 times, most recently from 9710bc4 to 5a14d00 Apr 22, 2019

@dependabot dependabot bot force-pushed the dependabot/npm_and_yarn/@symfony/webpack-encore-0.27.0 branch 3 times, most recently from d5d64a7 to 0b118a3 May 1, 2019

@dependabot dependabot bot force-pushed the dependabot/npm_and_yarn/@symfony/webpack-encore-0.27.0 branch 5 times, most recently from 91d815c to d60831a May 8, 2019

Bump @symfony/webpack-encore from 0.20.1 to 0.27.0
Bumps [@symfony/webpack-encore](https://github.com/symfony/webpack-encore) from 0.20.1 to 0.27.0.
- [Release notes](https://github.com/symfony/webpack-encore/releases)
- [Changelog](https://github.com/symfony/webpack-encore/blob/master/CHANGELOG.md)
- [Commits](symfony/webpack-encore@v0.20.1...v0.27.0)

Signed-off-by: dependabot[bot] <support@dependabot.com>

@dependabot dependabot bot force-pushed the dependabot/npm_and_yarn/@symfony/webpack-encore-0.27.0 branch from d60831a to 5495f8d May 14, 2019

@GKFX GKFX merged commit 5495f8d into master May 14, 2019

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details

@dependabot dependabot bot deleted the dependabot/npm_and_yarn/@symfony/webpack-encore-0.27.0 branch May 14, 2019

@GKFX

This comment has been minimized.

Copy link
Member

commented May 14, 2019

@dependabot reopen

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.